aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/lantiq/base-files/etc/init.d/esi
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/lantiq/base-files/etc/init.d/esi')
-rwxr-xr-xtarget/linux/lantiq/base-files/etc/init.d/esi7
1 files changed, 7 insertions, 0 deletions
diff --git a/target/linux/lantiq/base-files/etc/init.d/esi b/target/linux/lantiq/base-files/etc/init.d/esi
new file mode 100755
index 0000000..ca79070
--- /dev/null
+++ b/target/linux/lantiq/base-files/etc/init.d/esi
@@ -0,0 +1,7 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2013 OpenWrt.org
+
+START=19
+start() {
+ esi $(printf '%012X' $((1+0x$(tr -d : </sys/class/net/eth0/address)))) 2>/dev/console || :
+}